Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractSearchParam

java.lang.Object
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractSearchParam

public class ContractSearchParam extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractSearchParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `Set<Integer>`
  `getContractLabelsIds()`
  `String`
  `getContractTitle()`
  `List<FilterEntityAttr>`
  `getEntityFilter()`
  `int`
  `getFaceType()`
  `Page`
  `getPage()`
  `boolean`
  `isInAllLabels()`
  `boolean`
  `isShowClosed()`
  `boolean`
  `isShowHidden()`
  `boolean`
  `isShowSubContracts()`
  `ContractSearchParam`
  `setContractComment(String contractComment)`
  `ContractSearchParam`
  `setContractId(int contractId)`
  `ContractSearchParam`
  `setContractLabelsIds(Set<Integer> contractLabelsIds)`
  `ContractSearchParam`
  `setContractTitle(String contractTitle)`
  `ContractSearchParam`
  `setEntityFilter(List<FilterEntityAttr> entityFilter)`
  `ContractSearchParam`
  `setFaceType(int faceType)`
  `ContractSearchParam`
  `setInAllLabels(boolean inAllLabels)`
  `ContractSearchParam`
  `setPage(Page page)`
  `ContractSearchParam`
  `setShowClosed(boolean showClosed)`
  `ContractSearchParam`
  `setShowHidden(boolean showHidden)`
  `ContractSearchParam`
  `setShowSubContracts(boolean showSubContracts)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractSearchParam

    public ContractSearchParam()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### getContractTitle

    public String getContractTitle()

  - ### getContractComment

    public String getContractComment()

  - ### getFaceType

    public int getFaceType()

  - ### getContractLabelsIds

    public Set<Integer> getContractLabelsIds()

  - ### getEntityFilter

    public List<FilterEntityAttr> getEntityFilter()

  - ### isShowSubContracts

    public boolean isShowSubContracts()

  - ### isShowClosed

    public boolean isShowClosed()

  - ### isShowHidden

    public boolean isShowHidden()

  - ### isInAllLabels

    public boolean isInAllLabels()

  - ### getPage

    public Page getPage()

  - ### setContractId

    public ContractSearchParam setContractId(int contractId)

  - ### setContractTitle

    public ContractSearchParam setContractTitle(String contractTitle)

  - ### setContractComment

    public ContractSearchParam setContractComment(String contractComment)

  - ### setFaceType

    public ContractSearchParam setFaceType(int faceType)

  - ### setContractLabelsIds

    public ContractSearchParam setContractLabelsIds(Set<Integer> contractLabelsIds)

  - ### setEntityFilter

    public ContractSearchParam setEntityFilter(List<FilterEntityAttr> entityFilter)

  - ### setShowSubContracts

    public ContractSearchParam setShowSubContracts(boolean showSubContracts)

  - ### setShowClosed

    public ContractSearchParam setShowClosed(boolean showClosed)

  - ### setShowHidden

    public ContractSearchParam setShowHidden(boolean showHidden)

  - ### setInAllLabels

    public ContractSearchParam setInAllLabels(boolean inAllLabels)

  - ### setPage

    public ContractSearchParam setPage(Page page)